%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:          gnome-photos
Summary:       Access, organize and share your photos on GNOME
Version:       3.16.3
Release:       3
URL:           https://live.gnome.org/GnomePhotos

# GNOME Photos itself is GPLv2+, but the bundled libgd is LGPLv2+
License:       GPLv2+ and LGPLv2+
Group:         Graphical desktop/GNOME

Source0:       http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# patch to fix another potential g_malloc issue
Patch0:        gnome-photos-3.16.3-another-g_malloc_issue.patch
# patch to fix CVE-2013-7447
Patch1:        gnome-photos-3.19.4-CVE-2013-7447.patch

BuildRequires: desktop-file-utils
BuildRequires: pkgconfig(cairo)
BuildRequires: intltool itstool
BuildRequires: pkgconfig(clutter-1.0) >= 1.11
BuildRequires: pkgconfig(clutter-gtk-1.0) >= 1.3.2
BuildRequires: pkgconfig(exempi-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.35.6
BuildRequires: pkgconfig(gnome-desktop-3.0) > 3.7.6
BuildRequires: pkgconfig(goa-1.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(babl)
BuildRequires: pkgconfig(gegl-0.3)
BuildRequires: pkgconfig(libexif) >= 0.6
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(tracker-sparql-1.0)
BuildRequires: pkgconfig(libgfbgraph-0.2)
BuildRequires: pkgconfig(grilo-0.2)
BuildRequires: pkgconfig(libgdata)
BuildRequires: gnome-common

Requires: gegl03
Requires: gnome-online-miners
Requires: tracker

# libgd is not meant to be installed as a system-wide shared library.
# It is just a way for GNOME applications to share widgets and other common
# code on an ad-hoc basis.
Provides: bundled(libgd)


%description
Photos, like Documents, Music and Videos, is one of the core GNOME
applications meant for find and reminding the user about her content.


%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make


%install
%makeinstall_std

# Upstream doesn't install with desktop-file-install, so let's check
# FIXME: The desktop file is invalid, sent patch upstream, should be fixed in
# next release
#desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_datadir}/icons/*/*/*/*
%{_docdir}/%{name}
%{_datadir}/help/*/gnome-photos/*
%{_datadir}/appdata/org.gnome.Photos.appdata.xml
%{_datadir}/applications/org.gnome.Photos.desktop
%{_datadir}/dbus-1/services/org.gnome.Photos.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Photos.search-provider.ini

%changelog

* Thu Mar 03 2016 Tigro <ashejn@gmail.com> 3.16.3-3
- (7371430) added R tracker to avoid http://bugs.rosalinux.ru/show_bug.cgi?id=6753#c2

* Fri Feb 19 2016 Tigro <ashejn@gmail.com> 3.16.3-2
- (f49084b) update patch
- (Tigro: 1e0ae9b) fix CVE-2013-7447 and g_malloc_issue

* Fri Jan 29 2016 Tigro <ashejn@gmail.com> 3.16.3-1
- (291b8c4) fix depend on gegl03
- (Tigro: a635513) update to 3.16.3

* Mon Jul 27 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-2
- (e04880a) rebuilt against new libgdata

* Thu May 14 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (cb79ba4) update to 31.6.2

* Mon Mar 23 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (4bf4cdc) update to 3.16.0

* Sun Mar 15 2015 Tigro <ashejn@gmail.com> 3.15.91-1
- (59e492c) pack icons
- (Tigro: 30cecb7) pack files
- (Tigro: 7bc5fd3) bump gegl release
- (Tigro: ccdc3f0) added BR: libgdata
- (Tigro: 644365a) update to 3.15.91

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.1-3
- (62f2798) MassBuild#440: Increase release tag

* Wed May 14 2014 Tigro <ashejn@gmail.com> 3.12.1-2
- (8c33bcd) added R: gnome-online-miners

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (722fa3c) drop desktop file
- (Tigro: 5516577) pack some files
- (Tigro: 895337d) addedb BR: itstool
- (Tigro: a76a66a) drop autoreconf
- (Tigro: bbca697) addedb BR: grilo-0.2
- (Tigro: 79c2374) added BR: libgfbgraph-0.2
- (Tigro: bca8429) update tracker depend
- (Tigro: 2683fb6) update to 3.12.1

* Wed Jul 10 2013 Arkady Shane <ashejn@gmail.com> 3.8.2-2
- (59e9d55) gnome-photos requires gegl plugins

* Tue May 14 2013 Tigro <ashejn@gmail.com> 3.8.2-1
- (68cad17) update to 3.8.2

* Thu Apr 18 2013 Tigro <ashejn@gmail.com> 3.8.0-1
- (ef25c29) added BR: gegl-0.2
- (Tigro: 048ad3c) added BR: babl
- (Tigro: 43d895c) update to 3.8.0

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 3.7.3-1
- (8e5447f) added group

* Fri Apr 05 2013 Tigro <ashejn@gmail.com> 
- (ad53406) adapt spec for rosa/mandriva


